commit 5e017a7f4753897b14aaa70a2bf11745a19bf048
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 11:09:13 2025 -0500

    copyright

commit 0ad3117f5e1ae2d0ae3e8bdc1fa5911fd4caca2c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 18:30:02 2024 +0000

    bumped changelog version

commit e3b99b66bda046cde6ab8ea0cae689a3369bfd98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 13:26:15 2024 -0500

    copyright

commit d05311703803acbd70e4a80989774d89b1853d96
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:12:59 2023 +0000

    bumped changelog version

commit 79fc87ae5ad933f7b9bf6bbbe97c31225831e74c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 15:10:36 2023 -0500

    copyright

commit 805a9e0d83b04669e7def7e2a12f5cbb3d660e91
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 10 13:35:47 2023 -0500

    file moved

commit 34521338a895aae64aa0560fd94a1390bd213b4e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 10 13:27:32 2023 -0500

    renamed:    usr/lib/bindp.c -> bindp.c

commit f07fc401ec0fbce1e4e1947fa9106d8a517cbe4c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 10 13:26:38 2023 -0500

    restore upstream .gitignore

commit 9c04d900d2989df50b47b5caf92e128d4a788022
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 10 13:26:00 2023 -0500

    restore upstream Makefile

commit 79e739344905fc146f19171e3cb498e6bd1951be
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 10 13:20:42 2023 -0500

    Revert "Merge remote-tracking branch 'yongboy/master'"
    
    This reverts commit 2db98875da92a4fa3840bc466ba091603311ef67, reversing
    changes made to c64b3e4de5e62bd80c075c5695eef511d8331e59.

commit 2db98875da92a4fa3840bc466ba091603311ef67
Merge: c64b3e4 1d98bf4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 10 13:19:25 2023 -0500

    Merge remote-tracking branch 'yongboy/master'

commit c64b3e4de5e62bd80c075c5695eef511d8331e59
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:32:34 2023 -0400

    bumped changelog version

commit 352d9e9a1442be771f42232e6a1a5ac073b2da09
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:17:20 2023 -0400

    Kicksecure

commit 69c908beed3a38e20436edba9aaed94ebc553c91
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:00:23 2023 -0400

    Kicksecure

commit bc76d3fb531af970d3885188346bf45768e2ec3a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:14:17 2023 +0000

    bumped changelog version

commit f90e290b0592d09fec4dc2f4245f5d09667e529d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:26 2023 +0000

    bookworm

commit 937fb5b2af2e864dceaea1c59f537922a0d1f9e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:51:10 2023 +0000

    bumped changelog version

commit a1261f17a6b52a9a60de4aa8bde6477828341883
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:00 2023 +0000

    readme

commit 48d05a0dc91321fcde37886c08bd6ec21b52eed6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 16:59:03 2023 +0000

    bumped changelog version

commit b685cbc54de4cde1675fef77010786269369222f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:42 2023 +0000

    copyright

commit 5c3e459ba13666d15ec5541ce97ede579c4f2e88
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 17:46:29 2023 +0000

    bumped changelog version

commit b7cd47cbe3d6f8669fe05211e9a7ef99741ce98a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:27 2023 +0000

    Standards-Version: 4.6.1.0

commit 21d86ee9002655e6afbd8a66b69fb25dc7003a34
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:15:39 2023 +0000

    bumped changelog version

commit 5c84cff61d0904faafe30184f6fe8b8f33d4f89d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:51:56 2023 +0000

    update copyright year

commit 5f9b9a3ccced80cc611f6f6786096fc26e7cf961
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 24 09:21:24 2022 -0400

    bumped changelog version

commit bde6b8da3de5220dd36a14ba189feb82a9045c4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 24 09:20:16 2022 -0400

    -D_FORTIFY_SOURCE=3

commit 956685746a9e683e0d7fcdf561603f0fb8571f0a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:05:42 2022 -0400

    bumped changelog version

commit 44c5d865cf116a5002503bb080ffaa7efae93848
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:03 2022 -0400

    readme

commit ca23043b6f1712ec598810727a2477f093a25df9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:31 2022 -0400

    copyright

commit f48969c618972a9c319e58e3685056856dd859fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:37:33 2022 -0400

    readme

commit 34682d51ff115821e4d033a0cfac10df8547ef9c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:29 2021 -0500

    readme

commit 32d12a27922c70cd7f09d3fcbac67be0172476c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:37:40 2021 -0400

    bumped changelog version

commit 3f79e99fe60c7958acbab7a2fd969b95f633ea6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:09 2021 -0400

    readme

commit 69c409b52b4f9a997d303a1a35095593c5323f1e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:37:21 2021 -0400

    bumped changelog version

commit bfb93b3a9abfd9ba20c95541696acd644b3a725e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:52 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit b5290045965cbbe3359cf0ab13e27803c6fe03d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:18 2021 -0400

    bullseye

commit 5dbb3855bd10ad982db985a21cad9d813eb0ec69
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:24 2021 -0400

    readme

commit 5b36c1fa74efc68b2728a467261bb80b29f2aabf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 11:02:50 2021 -0400

    bumped changelog version

commit df4003bf94151272bca670f54d6a2545d584bf6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 11:02:49 2021 -0400

    readme

commit 59e37dd76cd8c04321eb14a085ddc11aeab7c0ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:12 2021 -0400

    copyright

commit 3877fde9ec645982390a0e4f4435fccf853567cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:27:19 2020 -0400

    bumped changelog version

commit 2e4a2feae7e9083aac64d7723dd022f8ff794b3b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:29 2020 -0400

    readme

commit b7025fe623b90a95657355f5440c5a24e946987c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:39:49 2020 -0400

    bumped changelog version

commit 7054df02b86fb941581bb9c563ef8c75e17d145f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:23 2020 -0400

    readme

commit a6eaaf861ec838ace342f20c8fe9a7ac819a8a3f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:28 2020 -0400

    remove genmkfile

commit 932fbc3f73ac3230f439eaf06c5e6607e3499955
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:30:07 2020 -0400

    add debian install file

commit 1f81d4d7457b8e1e85cb933d8397d775954e89c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:32:24 2020 -0400

    bumped changelog version

commit 55f628918222ac4a3d720c05714719b91bdd0171
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:54 2020 -0400

    update copyright year

commit bc3a282c25ad974804bc71345cbdbd370dfdd4a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 14 10:18:03 2019 +0000

    bumped changelog version

commit cb899f141d052d830ffb99bb5c52361c5d52ee06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 8 04:02:22 2019 -0400

    code documentation

commit ddea1998d448ed2312bcbea0585f7b55001b157c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:28:28 2019 +0000

    bumped changelog version

commit 311785fabc9cfc83a8954e3affd3357973cdce92
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:35 2019 +0000

    readme

commit c2f21741011c11374d7e0dddc342cbba5d469d62
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 28 19:34:35 2019 +0000

    bumped changelog version

commit 9806541b73646a0cb594dd5c479744d91a39dc6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 28 19:31:10 2019 +0000

    deprecate debian/gain-root-command

commit 300ccf1c8096c29904d1a849aa5b071d97abe6c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 10:17:55 2019 +0000

    bumped changelog version

commit 026a6813a06fe2fa473aacbc6bb5bf8bdbd97210
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:31 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 7dbb8648e7ebb2da63c98de187a1ba5034a3cbf0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:13:53 2019 +0000

    bumped changelog version

commit d0f1539431143b4b4d8ba545c734ba81aa55d96d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:28:56 2019 -0400

    readme

commit 4e4599008a95990113c352491532a64ba4ad7256
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:32:18 2019 +0000

    bumped changelog version

commit 59e50ab8365427a26d79abb007c0832f3e99dc3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:42 2019 -0400

    update path to pre.bsh

commit 6227dea2245b327a3c2ff4997128d0a6c8cf31d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:21:19 2019 +0000

    bumped changelog version

commit 576e44a74489a6cbe25d3f724af66972f8135c24
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:52 2019 +0000

    update

commit 7cd19b6dfbe36d9c0609c0644987636252efde9f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:00:58 2019 +0000

    bumped changelog version

commit 8e59ae4819dd3b438c37b286cccae56df36c5d38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:50:35 2019 -0400

    port to debian buster

commit 71c62d314f6c8b33d5ec1d5ae66b0e2389ae8137
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:04:49 2019 -0400

    readme

commit 0be273da943c4729243c657859d6e650b9a4314b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:50:27 2019 +0000

    bumped changelog version

commit 5dd1907cefcd111358e4fa16570f68009ba16bc0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:02:46 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 9603bebc087e588ec2f28e98eb9dfeffcb43e71a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:23:41 2019 +0000

    bumped changelog version

commit 0a2e1bdc9a678ed965d624cf8f516b454b944e84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:31:50 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit d554c5bff5bad776cccec21b9a1f2c87182ab224
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 09:06:46 2019 +0000

    fix

commit 79a88dc42ca9550eba8d45638e5d069e4e471bb5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 09:03:06 2019 +0000

    copyright

commit ea4b362e04d5ccde32e32779b7fc5fbfe5e7f4a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 15:58:10 2018 +0000

    bumped changelog version

commit e345b561fb8f7cb72c32ff6a47fff460c2f5f9ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:17:56 2018 +0800

    readme

commit 81b8a896bd5335708f908b54f4e84a0af383af47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 14:57:00 2018 +0000

    bumped changelog version

commit 1b3de7fc6445c2ef4a70b3579f7e64be4464de98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:16 2018 +0000

    readme

commit 2db41cd1c5130bbfe9be8ca23c4020c78e55c86b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:48 2018 +0000

    update copyright

commit e81895d04e127fd5d48259959b5a841b077c421f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:21:55 2018 +0000

    update copyright

commit 3cfd7c6c425f1ca87795bd0e43fcd480dcbb91b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:07 2018 +0000

    update copyright

commit db6fd14c22a1fe7ea945bdc06db66258a89c64c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:32 2018 +0000

    update copyright

commit fad4ba047be6900c1f796b5834cd0440a5d7d709
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:30:52 2017 +0000

    bumped changelog version

commit b02cc57653d30cae43e17c8ecf32a50f31f97c77
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:26:27 2017 +0000

    readme

commit 1d98bf41a39e2987cd071ba587aa2e2fe15f3f69
Author: nieyong <nieyong@staff.weibo.com>
Date:   Thu Nov 23 15:12:30 2017 +0800

    remove unsed files

commit 57655ec51fac4471836e3f7d62bb4dc53da38ea3
Author: nieyong <nieyong@staff.weibo.com>
Date:   Thu Nov 23 15:08:19 2017 +0800

    reset README.md for fcb2f84952dc5ec3b1883ab437541d67ede6dc56

commit 6ed6331c5e1c561ed72e52ca4d2ff6757cb61abb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 21 22:41:25 2017 +0000

    bumped changelog version

commit d7052e58d57b2d8a5f54dab2e6da836d3fb61ce8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 21 18:09:10 2017 +0100

    as reported by @Algernon
    
    https://phabricator.whonix.org/T714#14789
    
    https://phabricator.whonix.org/T688

commit 428824f23f3dae21b36283e5854c0e57f0135a2c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:28:22 2017 +0000

    bumped changelog version

commit c8f99a6942e0f8bda4b09f25dcfcebf56b3fb42d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 9 12:27:20 2017 +0000

    fix, re-add changes by s.sh

commit 74250f475b49d30c5105cf361c741e355b327daa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 9 12:22:57 2017 +0000

    remote no longer required .gitignore

commit 9852bdae3b744d0fbc16d4e63f6dd7f48b2808e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 9 12:11:38 2017 +0000

    bumped changelog version

commit c9399cc3a378467b23b2c31775e76f5ea303515e
Merge: 160af63 fc129ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 9 12:10:15 2017 +0000

    Merge remote-tracking branch 'origin/bindppost'

commit fc129aecde19e98aaf68c61f19abcda87a0b7cfe
Author: JasonJAyalaP <JasonJAyalaP+Github@Gmail.com>
Date:   Sat Jul 8 16:54:14 2017 -0500

    bindppost

commit 2f4c1d08fe2c73d9b7e0d1dc988913a0a2b9b06b
Author: JasonJAyalaP <JasonJAyalaP+Github@Gmail.com>
Date:   Sat Jul 8 16:54:00 2017 -0500

    bindppost

commit e8d1abd5cce5bb383aea2ee8c63466749e172314
Merge: b8e01ca 5744195
Author: yongboy <yongboy@gmail.com>
Date:   Mon Jul 3 11:58:55 2017 +0800

    Merge pull request #4 from adrelanos/patch-2
    
    fix typo

commit b8e01ca7e494fc24575a61aa5cee45cb8e616798
Merge: 3656d46 8b62ed3
Author: yongboy <yongboy@gmail.com>
Date:   Mon Jul 3 11:57:49 2017 +0800

    Merge pull request #6 from Whonix/address-family-check
    
    security fixes, debian packaging, and more

commit 160af6302118923a0275fe9c087376db0bc4c57a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 16 18:13:38 2017 +0000

    disable debugging

commit 222f5b7e729b02c14fc06bd7b32428cac5af9f46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 16 18:12:53 2017 +0000

    minor

commit 4c161ad8a84b86332c16fa3fb2496b510ff837c8
Merge: aef6e09 8b62ed3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 16 15:37:47 2017 +0000

    Merge branch 'address-family-check'

commit 8b62ed31d4d840761b9983fe0bd2a7a887d32019
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 9 16:31:35 2017 +0000

    add patch by s.sh
    
    http://pastebin.com/9XcTZwVG
    
    https://phabricator.whonix.org/T599#12627

commit a2551356291f937224d9ace9d179134ab61d197c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 8 22:35:48 2017 +0000

    add more debug output as per patch by s.sh
    
    http://pastebin.com/BZqTRBTc
    
    https://phabricator.whonix.org/T599

commit c2decc7afa454946ca214806710bfe6c6b3f5f10
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 8 21:30:22 2017 +0000

    minor

commit 249700d0be77087dd66fb98c1fe40f6ceefb9263
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 8 21:29:05 2017 +0000

    minor

commit d574e7846c96851d553cde552196e687c034a3dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 8 21:27:21 2017 +0000

    minor

commit 5e9d7eeab5c4325c798e98cd1298822a9a8fca26
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 8 21:26:50 2017 +0000

    intent; typos

commit b9eb9638c8be8842552bc2482de744d48ab0ca22
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 8 21:19:18 2017 +0000

    add version by s.sh
    
    http://pastebin.com/GvDpuC0f
    
    https://phabricator.whonix.org/T599

commit 725042f5d4865be27a9f2ac45a250219cee6d5cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 7 21:49:42 2017 +0000

    remove `-fPIE` to fix segmentation fault (we still use `-pie`)
    
    We still have all hardening flags.
    
    checksec --file /usr/lib/bindp/libindp.so
    RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
    Full RELRO      Canary found      NX enabled    PIE enabled     No RPATH   No RUNPATH   /usr/lib/bindp/libindp.so
    
    https://phabricator.whonix.org/T599#12610

commit aef6e09ef9636fdb0874a2fb307463cb1d21270a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 7 18:11:42 2017 +0000

    bumped changelog version

commit f42f2f5f4c8dbe0b124d40e1919c4659e8ce7873
Merge: 5019b6b d00a2d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 7 18:09:55 2017 +0000

    Merge branch 'master' into address-family-check

commit d00a2d36edb642d8f777948c6c77f2358725fbc9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 7 18:07:38 2017 +0000

    fix path

commit 5019b6be908a0f7ab66af7cfd109a26bd0926423
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 7 15:40:06 2017 +0000

    enable PIE hardening and fix ld warning by
    
    adding a main function and by
    adding to gcc:
    --entry main
    -fPIE -pie
    
    as contributed by s.sh
    
    https://phabricator.whonix.org/T599#12606

commit 09ea8adad40db9c62d5fe3847e8796796829ed90
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 19:41:30 2017 +0000

    fix compilation warnings
    
    by adding #include <arpa/inet.h>
    
    gcc -nostartfiles -fpic -shared bindp.c -o libindp.so -ldl -D_GNU_SOURCE
    bindp.c: In function ‘_init’:
    bindp.c:83:27: warning: implicit declaration of function ‘inet_addr’ [-Wimplicit-function-declaration]
             bind_addr_saddr = inet_addr (bind_addr_env);
                               ^~~~~~~~~
    bindp.c: In function ‘bind’:
    bindp.c:129:21: warning: implicit declaration of function ‘inet_ntop’ [-Wimplicit-function-declaration]
                         inet_ntop(AF_INET,&(lsk_in->sin_addr),original_ip,INET_ADDRSTRLEN);
                         ^~~~~~~~~
    
    as suggested by s.ssh
    
    https://phabricator.whonix.org/T599#12598

commit 37a63005354aa007907e04f87fe9ed1ed399e63d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 19:27:20 2017 +0000

    intent

commit 97c07294e558359dae1506be12be02ce4b1c3a45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 19:19:32 2017 +0000

    move break; into curly braces for better readability
    
    https://phabricator.whonix.org/T599#12596

commit 82ab25298e1194570fe9ee1b76941c393bafcf77
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 19:16:47 2017 +0000

    intent

commit b683034da9765529f09247917136002b81c93ba3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 18:38:36 2017 +0000

    fix intent

commit 78d4bedad1095f9446442dc5f3d764a50a46704e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 18:31:09 2017 +0000

    add changes by s.sh for address family check
    
    https://phabricator.whonix.org/T599#12594
    
    http://pastebin.com/dZb4yedz
    
    https://github.com/yongboy/bindp/issues/5

commit ab33b6c65e9582eda5bee89b06f1f02db08959b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 13:49:09 2017 +0000

    bumped changelog version

commit 7d2ff2b6f4175e799b8ca8b04e92add79b801442
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 17:35:14 2017 +0000

    debian packaging
    
    split from uwt package into this standalone package

commit 57441955bcf2890212b94a48165a35cd17b8f7b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 24 21:57:32 2017 +0100

    fix typo

commit 3656d46afd047975a294be99cc6e97e7576aa90b
Merge: fcb2f84 587311a
Author: yongboy <yongboy@gmail.com>
Date:   Sun Jan 22 10:51:56 2017 +0800

    Merge pull request #1 from adrelanos/patch-1
    
    add newline at the end

commit 587311ac1b1d76435b045444774cfc26d4ec9e80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 20:37:55 2017 +0100

    add newline at the end

commit fcb2f84952dc5ec3b1883ab437541d67ede6dc56
Author: yongboy <yongboy@gmail.com>
Date:   Sun Aug 14 22:13:14 2016 +0800

    Add IP_TRANSPARENT usage notes

commit 671279512d48cd9a55bfec49294fa72dce0524c4
Author: yongboy <yongboy@gmail.com>
Date:   Sun Aug 14 21:31:30 2016 +0800

    Add IP_TRANSPARENT support

commit 9e2d66ebf7c74b76ba67d8f64e9c93ec42978b2c
Author: yongboy <yongboy@gmail.com>
Date:   Mon Aug 8 14:20:58 2016 +0800

    add new notes

commit d00616a5eb1d8ba494881f5eb3a9cbf54286411e
Author: yongboy <yongboy@gmail.com>
Date:   Mon Aug 8 14:20:20 2016 +0800

    add SO_REUSEPORT for connection

commit 8b8c92e70c3e428a768c812c22287d7d7d3eab25
Author: yongboy <yongboy@gmail.com>
Date:   Mon Aug 8 14:19:05 2016 +0800

    add .gitignore file

commit 70fd0cf79e3f3d3c80bf0db28c218f8f87748bbe
Author: yongboy <yongboy@gmail.com>
Date:   Wed Feb 11 16:27:44 2015 +0800

    add SO_REUSEPORT suuport and fix bind failure bug with java netty application

commit a0bf451643d860ea9a648d469e9132d0655a71fd
Author: yongboy <yongboy@gmail.com>
Date:   Fri Jan 30 14:16:50 2015 +0800

    Create Makefile

commit 25fe8dd4594474a5ce05a0d9a43168cc9f49e4cc
Author: yongboy <yongboy@gmail.com>
Date:   Fri Jan 30 14:14:33 2015 +0800

    Update bindp.c

commit a5d19eb8c07e7bbe5e60bd061d4cde52eb1ad73c
Author: yongboy <yongboy@gmail.com>
Date:   Fri Jun 27 09:41:11 2014 +0800

    Update README.md

commit c788d7e25912df6964f27898c5c1193f7bb7644e
Author: yongboy <yongboy@gmail.com>
Date:   Mon Jun 9 13:27:42 2014 +0800

    Update README.md

commit bbb5914562b5cfe7ef59d327592ac9411bae7547
Author: yongboy <yongboy@gmail.com>
Date:   Sat Mar 29 22:44:23 2014 +0800

    Update README.md

commit 4f680bf199a5dbc7ef8ec597c0f7cff81154031e
Author: yongboy <yongboy@gmail.com>
Date:   Sat Mar 29 22:37:14 2014 +0800

    Update README.md

commit 1cb9f6bcc51282cc929af0a5a9fcca6d27ea6412
Author: yongboy <yongboy@gmail.com>
Date:   Sat Mar 29 22:31:00 2014 +0800

    Update README.md

commit ff739f306d16666ba8a9ca07dd22965592c1db81
Author: yongboy <yongboy@gmail.com>
Date:   Sat Feb 8 13:51:45 2014 +0800

    Update bindp.c
    
    Fix the bug that when only has one BIND_PORT parameter, the connection does not bind the port.

commit e9d70686e3da25f674812b214bd749d2fa17f696
Author: yongboy <yongboy@gmail.com>
Date:   Sat Feb 8 13:43:48 2014 +0800

    Create bindp.c

commit f4d3e3c165ae67813a9c76285fadb9248bce9caa
Author: yongboy <yongboy@gmail.com>
Date:   Fri Feb 7 21:43:02 2014 -0800

    Initial commit
